Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.heartbeat.management
Interface HeartbeatMBean

public interface HeartbeatMBean

Plugin heartbeat service MBean interface.

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static String` | `contentMatch` Content to match.
`static boolean` | `enabled` Enables or disables the heartbeater.
`static int` | `interval` Time in sec between heartbeats.
`static String` | `networkServiceUrl` The URL to the network service to be pinged.
`static boolean` | `status` Status of a heartbeater.

Method Summary
`String` | `getContentMatch()`
`int` | `getInterval()`
`String` | `getNetworkServiceUrl()`
`boolean` | `getStatus()`
`boolean` | `isEnabled()`
`void` | `setContentMatch(String contentMatch)`
`void` | `setEnabled(boolean enabled)`
`void` | `setInterval(int internval)`
`void` | `setNetworkServiceUrl(String networkURL)`

Field Detail

### contentMatch

    public static final String contentMatch

  Content to match. Empty string matches anything.

  See Also:
    Constant Field Values

### enabled

    public static final boolean enabled

  Enables or disables the heartbeater.

  See Also:
    Constant Field Values

### interval

    public static final int interval

  Time in sec between heartbeats.

  See Also:
    Constant Field Values

### networkServiceUrl

    public static final String networkServiceUrl

  The URL to the network service to be pinged.

### status

    public static final boolean status

  Status of a heartbeater.

  See Also:
    Constant Field Values

Method Detail

### getContentMatch

    public String getContentMatch()
                           throws ManagementException

  Throws:
    `ManagementException`

### getInterval

    public int getInterval()
                    throws ManagementException

  Throws:
    `ManagementException`

### getNetworkServiceUrl

    public String getNetworkServiceUrl()
                                throws ManagementException

  Throws:
    `ManagementException`

### getStatus

    public boolean getStatus()
                      throws ManagementException

  Throws:
    `ManagementException`

### isEnabled

    public boolean isEnabled()
                      throws ManagementException

  Throws:
    `ManagementException`

### setContentMatch

    public void setContentMatch(String contentMatch)
                         throws ManagementException

  Throws:
    `ManagementException`

### setEnabled

    public void setEnabled(boolean enabled)
                    throws ManagementException

  Throws:
    `ManagementException`

### setInterval

    public void setInterval(int internval)
                     throws ManagementException

  Throws:
    `ManagementException`

### setNetworkServiceUrl

    public void setNetworkServiceUrl(String networkURL)
                              throws ManagementException

  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD